﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DropDownListLinquify.Types.GeneratedTypes;

namespace DropDownListLinquify
{
    public partial class PersonDetail : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Guid personId = new Guid(Request.QueryString["personId"]);

                Person person = new Person();
                if (person.Load(personId))
                {
                    lblName.Text = person.FirstName + " " + person.LastName;
                    lblAge.Text = person.Age.ToString();
                    lblAddress.Text = person.Address.City + ", " + person.Address.State;
                }
            }
        }
    }
}
